<!--
  Generated template for the UserSettingsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="primary">
    <ion-title>User Settings</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="home-background">
    <ion-card>

        <ion-card-header>
            <h1>Notifications</h1>
        </ion-card-header>
      
        <ion-card-content>
          <ion-card *ngFor="let device of devices">
              
              <ion-card-header>
                  <h2>Device Name - {{device.name}}</h2>
              </ion-card-header>
              <ion-card-content>
                    <section class="example-section" *ngFor="let permission of all_permissions">
                        <ion-item>
                            <ion-label>{{permission.type}}</ion-label>
                            <ion-toggle (change) = "togglePermission(device, permission.type, permission.id)"
                            [checked]="checkDevicePermission(device, permission.type)"></ion-toggle>
                          </ion-item>

                        
                      </section>
                </ion-card-content>
              
          </ion-card>
        </ion-card-content>
      
      </ion-card>

  <!-- <mat-card class="result">
    <mat-card-content>
      <h2 class="example-h2">Notifications</h2>
      <section class="example-section" *ngFor="let device of devices">
        <h2 class="example-h2">Device Name - {{device.name}}</h2>
        <section class="example-section" *ngFor="let permission of all_permissions">
          <mat-slide-toggle
            class="example-margin"
            color="primary"
            (change) = "togglePermission(device, permission.type, permission.id)"
            [checked]="checkDevicePermission(device, permission.type)">
            {{permission.type}}
          </mat-slide-toggle>
        </section>
      </section>
    </mat-card-content>
  </mat-card> -->
</ion-content>
